up:: up.phantompy up.badexits

up.phantompy::
	cp -up phantompy.md /o/var/local/src/phantompy.git/README.md
	cp -up phantompy.setup /o/var/local/src/phantompy.git/setup.py
	cp -up setup.cfg lookupdns.py qasync_phantompy.py phantompy.py support_phantompy.py \
		/o/var/local/src/phantompy.git/

up.badexits:: refresh
	cp -up exclude_badExits.md /o/var/local/src/exclude_badExits.git/README.md
	cp -up setup.cfg exclude_badExits.py exclude_badExits.bash \
		support_onions.py trustor_poc.py \
		/o/var/local/src/exclude_badExits.git

lint.phantompy::
	/var/local/bin/pydev_flake8.bash lookupdns.py qasync_phantompy.py phantompy.py support_phantompy.py 

lint.badexits::
	/var/local/bin/pydev_flake8.bash exclude_badExits.py  \
		support_onions.py trustor_poc.py 
	isort -c -diff exclude_badExits.py \
		support_onions.py trustor_poc.py 

lint:: lint.badexits lint.phantompy
	sh .pylint.sh

refresh::
	/var/local/bin/python3.bash -c \
	'import exclude_badExits; print(exclude_badExits.__doc__)' \
		> exclude_badExits.md
	echo "\n## Usage \n\`\`\`\n" \
		>> exclude_badExits.md
	/var/local/bin/python3.bash exclude_badExits.py --help \
		| sed -e '/^[^uo ]/d' \
		>> exclude_badExits.md
	echo "\n\`\`\`\n" \
	>> exclude_badExits.md
